Enneo

Telephony

Get routing availability for all users

GET /telephony/routingAvailability

GET /telephony/routingAvailability

Returns the routing availability for all users. Used by a dispatcher to check which agents are currently available to pick up a ticket.

Query parameters

userIdintegerquery

Optional filter to return only a specific user

Responses

200 — Successful operation

Response Example

{
  "success": true,
  "users": [
    {
      "id": 42,
      "status": "string",
      "chatRoutingStatus": "idle",
      "callRoutingStatus": "idle",
      "skills": {
        "tagIds": [
          1,
          2,
          3
        ],
        "channels": [
          "email",
          "phone",
          "chat"
        ]
      },
      "currentTickets": [
        123,
        456
      ],
      "queueTickets": [
        789
      ],
      "lastActivity": "2024-03-20 14:30:00"
    }
  ]
}

403 — Unauthorized - user does not have permission to read user status

500 — Internal error